function checkStatus()
  require "import"
  local applicationName = node.getPackageName()
  if applicationName == "com.tencent.mobileqq" then
    transZh()
  else
    local nodes = {
      {"com.alawail.alarm._mobile.paid:id/textView_prayerTime", function()
          service.speak("تم الوصول إلى عقدة أوقات الصلاة")
        end},
    }

    local foundNode = false

    for _, node in ipairs(nodes) do
      local id, action = node[1], node[2]
      local info = service.findAccessibilityNodeInfo(id)

      if info then
        action()
        foundNode = true
        break
      end
    end

    if not foundNode then






      local textListJava = service.getAllTextList()
      local textList = {}

      for i = 0, textListJava.size() - 1 do
        table.insert(textList, textListJava.get(i))
      end

      -- تعريف الدوال المشتركة
      local function sharedFunction1()
        this.postSpeak(200, "الإنجليزية. . ")
        task(1200, function()
          transEn()
        end)
      end

      local function sharedFunction2()
        this.postSpeak(200, "الفرنسيةية. . ")
        task(1200, function()
          transFr()
        end)
      end

      -- جدول ربط النصوص بالوظائف
      local actions = {
        [""] = function() end,
      }

      -- قائمة النصوص المرتبطة بـ sharedFunction1
      local keysForFunction1 = {
        "Jieshuo Screenreader: official chat group",
        "Accessible Android Chat",
        "MultiTTS Global",
        "text discussion, english only",
      }

      -- قائمة النصوص المرتبطة بـ sharedFunction2
      local keysForFunction2 = {

        "Help and Feedback",
      }

      -- ربط النصوص بالوظائف تلقائيًا
      for _, key in ipairs(keysForFunction1) do
        actions[key] = sharedFunction1
      end

      for _, key in ipairs(keysForFunction2) do
        actions[key] = sharedFunction2
      end

      local found = false
      local checked = {}

      for _, text in ipairs(textList) do
        if actions[text] and not checked[text] then
          checked[text] = true
          actions[text]()
          found = true
          break
        end
      end

      if not found then
        dictAr()
      end
    end
  end
end

checkStatus()